How to specify database?

Having trouble installing serendipity?
Post Reply
accampbell
Regular
Posts: 138
Joined: Fri Jun 09, 2006 8:59 pm
Location: London, UK
Contact:

How to specify database?

Post by accampbell » Tue Dec 10, 2019 12:55 pm

My s9y accidentally got deleted so I had to reinstall. My database is still on the server but I don't know how to specify it . The install procedure doesn't offer me a choice and its default is wrong.

[Later]

Actually I think the problem may arise because the php version is wrong (7.0). Any way to fix this? I had s9y working previously without problems on this server.
Last edited by accampbell on Tue Dec 10, 2019 1:13 pm, edited 1 time in total.
Anthony Campbell

User avatar
onli
Regular
Posts: 2280
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: How to specify database?

Post by onli » Tue Dec 10, 2019 1:05 pm

The installation should definitely offer you a way to specify a database. There is a setting dropdown to specify the database type, and you can enter the access data as well.

After installation, you can still change that data in "Configuration". The database setting tab will be open by default. If the blog is not working, you can change that also on your server by editing the serendipity_config_local.inc.php in your webroot directory.

accampbell
Regular
Posts: 138
Joined: Fri Jun 09, 2006 8:59 pm
Location: London, UK
Contact:

Re: How to specify database?

Post by accampbell » Tue Dec 10, 2019 1:15 pm

I've just realised the php version is wrong (7.0). I think this is why the installation script failed. But I had s9y working previously. Anything I can do?
Anthony Campbell

User avatar
onli
Regular
Posts: 2280
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: How to specify database?

Post by onli » Tue Dec 10, 2019 1:21 pm

Have a look in the webserver logs to find out why it failed exactly, there should be an error message in that case. There is no reason for a current version of s9y not to work with PHP 7. If you try to run an old version of s9y (maybe the one you had running before?) look at whether your hoster offers the option to run an old PHP version for a short while.

accampbell
Regular
Posts: 138
Joined: Fri Jun 09, 2006 8:59 pm
Location: London, UK
Contact:

Re: How to specify database?

Post by accampbell » Tue Dec 10, 2019 3:58 pm

OK, thanks. It seems to be working now. I deleted the old version of s9y and increased my php version to 7.2 and the error has gone away. I'll continue with the installation and hope all goes well.
Anthony Campbell

Post Reply